@extends('layouts.main')

@section('content')
 
    
<div class="row">

    <div class="col-md-12">
                
        @include('layouts.alerts')

        <div class="card ">

            <div class="">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel1">Actualizar datos del estudiante</h5>
                </div>
                <form action="{{route('estudiantes.update', $estudiante->id)}}" method="POST">
                  @csrf
                  @method('put')
                  
                  <div class="modal-body">

                      <div class="row mb-3">
                        <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">DNI</label>
                        <div class="col-sm-10">
                            <div class="input-group input-group-merge">
                                <span class="input-group-text"><i class='bx bxs-id-card' ></i></span>
                                <input type="text" name="dni_estudiante" value="{{ $estudiante->dni_estudiante }}" class="form-control" maxlength="8" minlength="8" placeholder="Número de DNI" required onKeypress="if (event.keyCode < 45 || event.keyCode > 57) event.returnValue = false;"/>
                            </div>
                        </div>
                    </div>


                    <div class="row mb-3">
                        <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Nombres</label>
                        <div class="col-sm-10">
                            <div class="input-group input-group-merge">
                                <span class="input-group-text"><i class="bx bx-user"></i></span>
                                <input type="text" name="nombres_estudiante" value="{{ $estudiante->nombres_estudiante }}" class="form-control" placeholder="Nombres" required/>
                            </div>
                        </div>
                    </div>


                    <div class="row mb-3">
                        <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Apellidos</label>
                        <div class="col-sm-10">
                            <div class="input-group input-group-merge">
                                <span class="input-group-text"><i class='bx bxs-user-detail'></i></span>
                                <input type="text" name="apellidos_estudiante" value="{{ $estudiante->apellidos_estudiante }}" class="form-control" placeholder="Apellidos" required/>
                            </div>
                        </div>
                    </div>

                    <div class="row mb-3">
                        <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Género</label>
                        <div class="col-sm-10">
                            <div class="input-group input-group-merge">
                                <span class="input-group-text"><i class='bx bx-select-multiple' ></i></span>
                                <select name="genero" class="form-select" required>
                                    <option selected disabled value="">Seleccione...</option>
                                    <option @if($estudiante->genero=='M'){{'selected'}}@endif>M</option>
                                    <option @if($estudiante->genero=='F'){{'selected'}}@endif>F</option>                                    
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="row mb-3">
                        <label class="col-sm-2 col-form-label" for="basic-icon-default-fullname">Fecha de nacimiento</label>
                        <div class="col-sm-10">
                            <div class="input-group input-group-merge">
                                <span class="input-group-text"><i class='bx bxs-user-detail'></i></span>
                                <input type="date" name="fecha_nacimiento" value="{{ $estudiante->fecha_nacimiento }}" class="form-control" placeholder="Apellidos" required/>
                            </div>
                        </div>
                    </div>
                      
                      
                  </div>
                  <div class="modal-footer">
                      <a href="{{ route('estudiantes.index') }}" class="btn btn-outline-secondary">
                          Cancelar
                      </a>
                      <button type="submit" class="btn btn-md" style="background:#0B6C25;color:#FFF">Guardar</button>
                  </div>
                </form>
            </div>
            

        </div>

        
    </div>
</div>


@endsection