

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.1/css/dataTables.bootstrap5.min.css">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="row">

    <div class="col-md-12">

        <?php echo $__env->make('layouts.alerts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <div class="card ">

            <div class="card-header d-flex align-items-center justify-content-between">
                <h5 class="card-title m-0 me-2">PAGOS</h5>
                <!-- Button trigger modal -->
                <a href="<?php echo e(route('pagos.create')); ?>" class="btn btn-primary" >
                    <i class='bx bx-plus'></i> Pago
                </a>
            </div>

            <div class="card-body">
                <div class="table table-responsive">
                    <table class="table tablesorter" id="example">
                        <thead class="table-dark">
                            <tr>
                                <th class="text-white">#</th>
                                <th class="text-white">Recibo</th>
                                <th class="text-white">Fecha</th>
                                <th class="text-white">Cod Matrícula</th>
                                <th class="text-white">Estudiante</th>
                                <th class="text-white">Concepto</th>
                                <th class="text-white">Medio de pago</th>
                                <th class="text-white">Monto</th>
                                <?php if(Auth::user()->rol == "Administrador"): ?>
                                    <th class="text-white">Opciones</th>
                                <?php endif; ?>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $i=0; ?>
                            <?php $__currentLoopData = $pagos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pago): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php $i++; ?>
                                <tr>
                                    <td><?php echo e($i); ?></td>
                                    <td>
                                        <a href="<?php echo e(route('pagos.invoice', $pago->id)); ?>" target="_blank" class="btn btn-sm rounded-pill btn-outline-dark">
                                            <i class='bx bxs-download'></i> <?php echo e($pago->id); ?>

                                        </a>
                                    </td>
                                    <td><?php echo e(date('d/m/Y', strtotime($pago->created_at))); ?> </td>
                                    <td><?php echo e($pago->matricula->cod_matricula); ?></td>
                                    <td><?php echo e($pago->matricula->estudiante->nombres_estudiante." ".$pago->matricula->estudiante->apellidos_estudiante); ?></td>
                                    <td>
                                        <?php if($pago->mes_pago == 0): ?>
                                            <?php echo e("Matrícula"); ?>


                                        <?php elseif($pago->mes_pago >= 1 && $pago->mes_pago <= 12): ?>
                                            <?php echo e("Mensualidad (".substr($meses[$pago->mes_pago-1], 0, 3).")"); ?>


                                        <?php elseif($pago->mes_pago > 12): ?>
                                            <?php echo e("Otro"); ?>

                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e($pago->medio_pago); ?></td>
                                    <td><?php echo e("S/ ".$pago->monto); ?></td>
                                    <?php if(Auth::user()->rol == "Administrador"): ?>
                                        <td>
                                            <button type="button" class="btn btn-sm btn-outline-warning" data-bs-toggle="modal" data-bs-target="#modal-edit-<?php echo e($pago->id); ?>">
                                                <i class='bx bx-edit-alt'></i>
                                            </button>
                                            <button type="button" class="btn btn-sm btn-outline-danger" data-bs-toggle="modal" data-bs-target="#modal-delete-<?php echo e($pago->id); ?>">
                                                <i class='bx bx-trash'></i>
                                            </button>
                                            <?php echo $__env->make('pagos.modal-edit', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                            <?php echo $__env->make('pagos.modal-delete', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                        </td>
                                    <?php endif; ?>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
            
        </div>
    </div>
</div>



<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

<script src="https://code.jquery.com/jquery-3.5.1.js" type="text/javascript"></script>
<script src="https://cdn.datatables.net/1.13.1/js/jquery.dataTables.min.js" type="text/javascript"></script>
<script src="https://cdn.datatables.net/1.13.1/js/dataTables.bootstrap5.min.js" type="text/javascript"></script>

<script>
    $(document).ready( function () {
        $('#example').DataTable({
            "language": {
            "url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Spanish.json"
            }
        });
    });
</script>


<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\duni-school\resources\views/pagos/index.blade.php ENDPATH**/ ?>